# Generated by Django 4.1.5 on 2023-02-01 14:38

from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):
    dependencies = [
        ("employees", "0002_alter_workingtimerange_weekday"),
        ("timetracker", "0002_holidaytype_holiday"),
    ]

    operations = [
        migrations.CreateModel(
            name="TimeEntry",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("start", models.DateTimeField(default=django.utils.timezone.now)),
                ("end", models.DateTimeField(blank=True, null=True)),
                (
                    "comment",
                    models.CharField(
                        blank=True,
                        help_text="Optional comment for this time entry",
                        max_length=255,
                    ),
                ),
                (
                    "cached_delta",
                    models.DurationField(blank=True, null=True, verbose_name="Delta"),
                ),
                (
                    "employee",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="employees.employee",
                    ),
                ),
                (
                    "work_schedule",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.PROTECT,
                        to="employees.workschedule",
                    ),
                ),
            ],
        ),
        migrations.AlterModelOptions(
            name="holiday",
            options={
                "permissions": (("administer_holiday", "Can administer holidays"),)
            },
        ),
        migrations.AddField(
            model_name="holiday",
            name="status",
            field=models.CharField(
                choices=[
                    ("new", "New"),
                    ("approved", "Approved"),
                    ("declined", "Declined"),
                ],
                default="new",
                max_length=25,
            ),
        ),
        migrations.AlterUniqueTogether(
            name="holiday",
            unique_together={("day", "employee")},
        ),
        migrations.DeleteModel(
            name="TimeSlot",
        ),
    ]
